Skip to main content
PATCH
Update contact method

Authorizations

Authorization
string
header
required

Short-lived user session token issued to the GetMonitor panel. Endpoints marked "session only" cannot be called with an API key.

Headers

X-Organization-Id
string
required

ID of the organization to act in. Must be your active organization.

Example:

"k2p9x7w4m1n8b3v6c5z0q2r7"

Path Parameters

id
string
required

Contact method ID.

Body

application/json

All fields are optional.

type
enum<string>
Available options:
email,
sms,
whatsapp,
slack,
discord,
telegram,
teams,
webhook
config
object
isEnabled
boolean

Response

OK

id
string
required
userId
string
required
organizationId
string
required
type
string
required
config
object
required
isEnabled
boolean
required
position
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required